// Big Bitmap Viewer Demo
//
// This demo loads a standard splash screen, the coding wasn't even necessary
// as the component works at design time by putting a filename in and setting
// the component to active.  If you have any very large bitmaps (the larger
// the better!) put the path and name in the constant below and the viewer
// should display the bitmap full size.
//
// I use this to view 4000 x 4000 x 256 colour bitmaps, for the obvious reason
// I've not included one of these with this demo!
//
// Grahame Marsh 1997

unit BVDemo1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  BitView;

type
  TForm1 = class(TForm)
    ScrollBox1: TScrollBox;
    BigBitmapViewer1: TBigBitmapViewer;
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

// NB if you've not got a "standard" Delphi installation you may need
// to modify this path.  Put in here a path name to any * BIG* bitmaps you have.
const
  TrialBitmapName = 'c:\program files\borland\delphi 2.0\images\splash\256color\chemical.bmp';

implementation

{$R *.DFM}

// Not actually needed - could be setup by the object inspector at design time
procedure TForm1.FormCreate(Sender: TObject);
begin
  with BigBitmapViewer1 do
  begin
    Filename := TrialBitmapName;
    Open
  end
end;

end.
